<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [getBlockedRam](./bitburner.darknet.getblockedram.md)

## Darknet.getBlockedRam() method

Gets the amount of RAM blocked by the server owner's processes. This ram can be freed for use using dnet.memoryReallocation() .

**Signature:**

```typescript
getBlockedRam(host?: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Optional. Hostname/IP of the server to check. Defaults to the running script's server.


</td></tr>
</tbody></table>

**Returns:**

number

The amount of RAM blocked by the server owner's processes.

## Remarks

RAM cost: 0 GB

